View Bug Details

IDProjectCategoryView StatusLast Update
0000709DCP-o-matic[All Projects] Bugspublic2016-05-31 22:57
ReportercarmelocoAssigned Tocarl 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformIntel i7OSWindows 10OS VersionWindows 10
Product Version2.3.0 
Target VersionFixed in Version 
Summary0000709: Error using .m2ts file with multi-stream audio.
DescriptionError analising audio, using a .m2ts file with multi-stream audio, and multi-stream subtitles.
Steps To ReproduceAdd file .m2ts and in content/audio, push the "Show graph of audio levels".
Additional InformationShow the error:

Error: Programming error at../scr/lib/ffmpeg_subtitle_Stream.cc:85

When I push the "Play" button, appears an error window with the same message for each frame played, and I need to close the program, using the Windows Task Manager.
TagsNo tags attached.
Estimated work requiredAverage

Activities

carmeloco

2015-10-05 19:20

reporter  

AudioAnalise.jpg (204,783 bytes)
AudioAnalise.jpg (204,783 bytes)

carl

2015-10-05 23:16

administrator   ~0000899

Hi. I believe this is fixed in 2.4.0:
http://dcpomatic.com/download

Let us know how you get on with that version. Thanks!

carmeloco

2015-10-06 07:26

reporter   ~0000901

Is not fixed in 2.4.0. Appears a new error. Please view the new screeshot.

carmeloco

2015-10-06 07:27

reporter  

Audio240.jpg (267,502 bytes)

carmeloco

2015-10-06 07:28

reporter   ~0000902

The new screenshot is the file Audio240.jpg

carmeloco

2015-10-06 07:53

reporter   ~0000905

Last edited: 2015-10-06 08:23

View 2 revisions

If I activate the "Use subtitles" in the subtitles tab, the audio analise works well, but only if I play and the preview screen shows a subtitle.

carl

2015-10-06 09:12

administrator   ~0000907

There is a speculative fix for this in 2.4.1. Could you try it and let me know if it works?

http://dcpomatic.com/test-download

carmeloco

2015-10-06 10:28

reporter   ~0000909

Solved in version 2.4.1

Great work !!!!!

Thanks !!!!!!

carl

2015-10-06 10:46

administrator   ~0000910

Cool, thanks for checking.

Bug History

Date Modified Username Field Change
2015-10-05 19:20 carmeloco New Bug
2015-10-05 19:20 carmeloco File Added: AudioAnalise.jpg
2015-10-05 23:16 carl Note Added: 0000899
2015-10-05 23:16 carl Assigned To => carl
2015-10-05 23:16 carl Status new => feedback
2015-10-06 07:26 carmeloco Note Added: 0000901
2015-10-06 07:26 carmeloco Status feedback => assigned
2015-10-06 07:27 carmeloco File Added: Audio240.jpg
2015-10-06 07:28 carmeloco Note Added: 0000902
2015-10-06 07:53 carmeloco Note Added: 0000905
2015-10-06 08:23 carmeloco Note Edited: 0000905 View Revisions
2015-10-06 09:12 carl Note Added: 0000907
2015-10-06 09:12 carl Status assigned => feedback
2015-10-06 10:28 carmeloco Note Added: 0000909
2015-10-06 10:28 carmeloco Status feedback => assigned
2015-10-06 10:46 carl Note Added: 0000910
2015-10-06 10:46 carl Status assigned => resolved
2015-10-06 10:46 carl Resolution open => fixed
2016-05-31 22:57 carl Status resolved => closed